Skip to main content
GET
cURL

Get Product Endpoint (2024-09-01)

Retrieve the details of a specific product using its ID.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

reference_product_id
string
required

The ID of the product to retrieve

Response

Product details

object
string

The type of object: tax.product.

Example:

"tax.product"

reference_product_id
string

The ID of the created product

Example:

"p-20506"

reference_product_name
string

The name of the created product

Example:

"Red Shoes"

product_category
string

The category of the created product

Example:

"CLOTHING_GENERAL"

created_at
number

Epoch datetime representing the date and time the product was created

Example:

1721694425

updated_at
number

Epoch datetime representing the date and time the product was last updated

Example:

1721694425

testmode
boolean

True if using a production API key. False if using a test API key.

Example:

"true"